Below is the list of changes that have just been committed into a local
4.1 repository of lenz. When lenz does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet
1.2376 05/08/04 12:35:13 lenz@stripped +2 -0
- manual merge from 4.0 into 4.1: used the local version of ha_innodb.cc, merged
the rpm spec file changelog
support-files/mysql.spec.sh
1.103 05/08/04 12:35:06 lenz@stripped +0 -3
- manual merge from 4.0
sql/ha_innodb.cc
1.202 05/08/04 12:35:06 lenz@stripped +0 -2
- Merge: used local version (as the fix in 4.0 was a backport)
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: lenz
# Host: metis.lenznet
# Root: /space/my/mysql-4.1-build/RESYNC
--- 1.102/support-files/mysql.spec.sh 2005-08-04 11:57:21 +02:00
+++ 1.103/support-files/mysql.spec.sh 2005-08-04 12:35:06 +02:00
@@ -439,7 +439,7 @@
# Create a MySQL user and group. Do not report any problems if it already
# exists.
-groupadd -r -c "MySQL server" %{mysqld_user} 2> /dev/null || true
+groupadd -r %{mysqld_user} 2> /dev/null || true
useradd -M -r -d $mysql_datadir -s /bin/bash -c "MySQL server" -g %{mysqld_user} %{mysqld_user} 2> /dev/null || true
# Change permissions so that the user that will run the MySQL daemon
@@ -670,6 +670,8 @@
%changelog
* Thu Aug 04 2005 Lenz Grimmer <lenz@stripped>
+- Fixed the creation of the mysql user group account in the postinstall
+ section (BUG 12348)
- Fixed enabling the Archive storage engine in the Max binary
* Tue Aug 02 2005 Lenz Grimmer <lenz@stripped>
| Thread |
|---|
| • bk commit into 4.1 tree (lenz:1.2376) | lenz | 4 Aug |